KILL(1)

NAME
kill - send signals to processes, or list signals

SYNOPSIS
kill [-s SIGNAL | -SIGNAL] PID...
kill -l [SIGNAL]...
kill -t [SIGNAL]...

DESCRIPTION

Send signals to processes, or list signals.

Mandatory arguments to long options are mandatory for short options too.

-s, --signal=SIGNAL, -SIGNAL

    specify the name or number of the signal to be sent

-l, --list
    list signal names, or convert signal names to/from numbers

-t, --table
    print a table of signal information

--help
    display this help and exit

--version
    output version information and exit

SIGNAL may be a signal name like `HUP', or a signal number like `1', or the exit status of a process terminated by a signal. PID is an integer; if negative it identifies a process group.

NOTE: your shell may have its own version of kill, which usually supersedes the version described here. Please refer to your shell's documentation for details about the options it supports.

AUTHOR
Written by Paul Eggert.

REPORTING BUGS
Report kill bugs to bug-coreutils@gnu.org
GNU coreutils home page: <http://www.gnu.org/software/coreutils/>
General help using GNU software: <http://www.gnu.org/gethelp/>
Report kill translation bugs to <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2011 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
kill(2)

The full documentation for kill is maintained as a Texinfo manual. If the info and kill programs are properly installed at your site, the command

    info coreutils 'kill invocation'

should give you access to the complete manual.